Subject: Re: bug#50935: minibuffer-electric-default-mode interface

From: Juri Linkov <[email-masked]>
Date: Sat, 02 Oct 2021 22:15:54 +0300

> In (info "(emacs) Basic Minibuffer"), I see:
>
> if you change the variable ‘minibuffer-eldef-shorten-default’ to a
> non-‘nil’ value, the default argument is displayed as ‘[DEFAULT-ARG]’
> instead of ‘(default DEFAULT-ARG)’, saving some screen space.  To
> enable this minor mode, type ‘M-x minibuffer-electric-default-mode’.

While I don't know how to fix this issue, I have to note that
this Info node should also mention that minibuffer-electric-default-mode
is now obsoleted by the new user option minibuffer-default-prompt-format.
The only problem is that currently not all prompts use 'format-prompt'.
Maybe this should be added to etc/TODO?